Class UmlState

Declaration :

- C++ : class UmlState : public UmlBaseState, public UmlStateItem
- Java : class UmlState extends UmlBaseState implements UmlStateItem

Artifact : UmlState

Operation UmlState

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : + UmlState(in id : item_id, in s : string) :
- C++ : public: UmlState(void * id, const QCString & s) : UmlBaseState(id, s)
- Java : public UmlState(long id, String s)

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , cppDoActivity , cppEntryBehavior , cppExitBehavior , create , defined_ , deleteIt , description , doActivity , entryBehavior , exitBehavior , getIdentifier , identifier_ , isActive , isMarked , isToolRunning , isWritable , javaDoActivity , javaEntryBehavior , javaExitBehavior , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_CppDoActivity , set_CppEntryBehavior , set_CppExitBehavior , set_Description , set_DoActivity , set_EntryBehavior , set_ExitBehavior , set_isActive , set_isMarked , set_JavaDoActivity , set_JavaEntryBehavior , set_JavaExitBehavior , set_Name , set_PropertyValue , set_Specification , set_Stereotype , specification , stereotype , supportFile , unload , unload